Summary:	XFCE Notify Daemon
Summary(pl.UTF-8):	Demon powiadomień XFCE
Name:		xfce4-notifyd
Version:	0.9.6
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://archive.xfce.org/src/apps/xfce4-notifyd/0.9/%{name}-%{version}.tar.bz2
# Source0-md5:	1640c56ec1062dc46b5691eab12db9b6
URL:		https://git.xfce.org/apps/xfce4-notifyd/
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	dbus-glib-devel
BuildRequires:	glib2-devel >= 1:2.68
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	gtk-layer-shell-devel >= 0.7.0
BuildRequires:	libcanberra-gtk3-devel >= 0.30
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libxfce4ui-devel >= 4.14.0
BuildRequires:	libxfce4util-devel >= 4.14.0
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	sqlite3-devel >= 3.34
BuildRequires:	systemd-devel >= 245
BuildRequires:	xfce4-dev-tools >= 4.14.0
BuildRequires:	xfce4-panel-devel >= 4.14.0
BuildRequires:	xfconf-devel >= 4.14.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	dbus >= 0.91
Provides:	dbus(org.freedesktop.Notifications)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XFCE Notify Daemon (xfce4-notifyd for short) is a smallish program
that implements the "server-side" portion of the Freedesktop desktop
notifications specification. Applications that wish to pop up a
notification bubble in a standard way can implicitly make use of
xfce4-notifyd to do so by sending standard messages over D-Bus using
the org.freedesktop.Notifications interface.

%description -l pl.UTF-8
Demon powiadomień XFCE (w skrócie xfce4-notifyd) jest niewielkim
programem implementującym serwerową część specyfikacji powiadomień.

%prep
%setup -q

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/libnotification-plugin.la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,hy_AM,ie}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md TODO
%attr(755,root,root) %{_bindir}/xfce4-notifyd-config
%dir %{_libdir}/xfce4/notifyd
%attr(755,root,root) %{_libdir}/xfce4/notifyd/xfce4-notifyd
%{_sysconfdir}/xdg/autostart/xfce4-notifyd.desktop
%{_desktopdir}/xfce4-notifyd-config.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.notification.*
%{_datadir}/themes/Bright
%{_datadir}/themes/Default/xfce-notify-4.0
%{_datadir}/themes/Retro
%{_datadir}/themes/Smoke
%{_datadir}/themes/ZOMG-PONIES!
%{systemduserunitdir}/xfce4-notifyd.service
%{_datadir}/dbus-1/services/org.xfce.xfce4-notifyd.Notifications.service
%{_datadir}/dbus-1/services/org.xfce.xfce4-notifyd.Notifyd.service
%{_mandir}/man1/xfce4-notifyd-config.1*
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libnotification-plugin.so
%{_datadir}/xfce4/panel/plugins/notification-plugin.desktop
%{_iconsdir}/hicolor/scalable/status/notification-disabled-symbolic.svg
%{_iconsdir}/hicolor/scalable/status/org.xfce.notification.unread-emblem-symbolic.svg
%{_iconsdir}/hicolor/scalable/status/notification-symbolic.svg
%changelog
* Thu Aug 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-notifyd.git;a=log;h=master

* Thu Aug 15 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4b0d7e6
- up to 0.9.6

* Wed Aug 14 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3f62a35
- up to 0.9.5

* Sat Feb 10 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3956418
- up to 0.9.4

* Wed Oct 25 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 46d9137
- up to 0.9.3

* Wed Sep 27 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 40509fa
- up to 0.9.2

* Wed Sep 20 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 807fa6f
- up to 0.9.1

* Tue Sep 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8fc1672
- up to 0.9.0

* Tue Feb 28 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3c3bcf3
- up to 0.8.2

* Fri Feb 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ba46877
- up to 0.8.1

* Tue Feb 14 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 312f057
- up to 0.8.0

* Fri Feb 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d78f6c7
- up to 0.7.3

* Mon Jan 23 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 66b7a90
- up to 0.7.2

* Sat Dec 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 823aa73
- up to 0.6.5

* Tue Sep 06 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1328375
- up to 0.6.4

* Sat Feb 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 822a690
- up to 0.6.3

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3175406
- up to 0.6.2

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> 9a1a3f8
- up tp version 0.6.1

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> e797b19
- release 2 (by relup.sh)

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> b21c895
- updated BRs

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> 63b9207
- up to 0.4.4

